AssertionError: Arrays are not almost equal during test of a fresh install (0.14.1) #2915

Closed
mdespriee opened this Issue Feb 28, 2014 · 4 comments

Comments

Projects
None yet
5 participants
@mdespriee

The test suite fails with this errors (see below)
Any help will be appreciated !!

//======================================================================
ERROR: test suite
//----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/nose/suite.py", line 154, in run
    self.setUp()
  File "/usr/lib/python2.6/site-packages/nose/suite.py", line 180, in setUp
    if not self:
  File "/usr/lib/python2.6/site-packages/nose/suite.py", line 65, in __nonzero__
    test = self.test_generator.next()
  File "/usr/lib/python2.6/site-packages/nose/loader.py", line 223, in generate
    test_func, arg = (test[0], test[1:])
TypeError: 'function' object is unsubscriptable

//======================================================================
FAIL: sklearn.linear_model.tests.test_least_angle.test_rank_deficient_design
//----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/nose/case.py", line 182, in runTest
    self.test(*self.arg)
  File "/usr/lib64/python2.6/site-packages/sklearn/linear_model/tests/test_least_angle.py", line 218, in test_rank_deficient_design
    assert_array_almost_equal(obj_lars, obj_cd)
  File "/usr/lib64/python2.6/site-packages/numpy/testing/utils.py", line 765, in assert_array_almost_equal
    header='Arrays are not almost equal')
  File "/usr/lib64/python2.6/site-packages/numpy/testing/utils.py", line 609, in assert_array_compare
    raise AssertionError(msg)
AssertionError:
Arrays are not almost equal

(mismatch 100.0%)
 x: array(5.2333333333333343)
 y: array(0.57115008595591465)

----------------------------------------------------------------------
Ran 1697 tests in 91.731s

FAILED (SKIP=15, errors=1, failures=1)

@arjoly arjoly added the Bug label Jul 18, 2014

@arjoly

This comment has been minimized.

Show comment Hide comment
@arjoly

arjoly Jul 18, 2014

Member

What is your platform? What is your numpy, scipy version? What is your blas and lapack?

Member

arjoly commented Jul 18, 2014

What is your platform? What is your numpy, scipy version? What is your blas and lapack?

@johnrc

This comment has been minimized.

Show comment Hide comment
@johnrc

johnrc Aug 7, 2014

I ran into the same issue with scikit-learn 0.14.1 and 0.15.1. I'm on rhel 6 and using software collections to get python 2.7.5, numpy 1.7.1, scipy 0.12.1, blas 3.2.1, lapack 3.2.1.

How critical is it to get this test to pass?

johnrc commented Aug 7, 2014

I ran into the same issue with scikit-learn 0.14.1 and 0.15.1. I'm on rhel 6 and using software collections to get python 2.7.5, numpy 1.7.1, scipy 0.12.1, blas 3.2.1, lapack 3.2.1.

How critical is it to get this test to pass?

@amueller

This comment has been minimized.

Show comment Hide comment
@amueller

amueller Jan 23, 2015

Member

@johnrc sorry for the late reply, not critical at all, but quite odd.

Member

amueller commented Jan 23, 2015

@johnrc sorry for the late reply, not critical at all, but quite odd.

@amueller amueller modified the milestone: 0.19 Sep 29, 2016

@jnothman

This comment has been minimized.

Show comment Hide comment
@jnothman

jnothman Jun 14, 2017

Member

I've we've not heard the error reported again, can we close??

Member

jnothman commented Jun 14, 2017

I've we've not heard the error reported again, can we close??

@jnothman jnothman closed this Jul 5, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment